# ParsingException (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.svg
Class ParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.newdawn.slick.SlickException
                  org.newdawn.slick.svg.ParsingException

All Implemented Interfaces:
  java.io.Serializable

    public class ParsingException

extends SlickException

Exception indicating a failure to parse XML, giving element information

Author:
  kevin
See Also:
  Serialized Form

Constructor Summary
`ParsingException(org.w3c.dom.Element element, java.lang.String message)` Create a new exception
`ParsingException(org.w3c.dom.Element element, java.lang.String message, java.lang.Throwable cause)` Create a new exception
`ParsingException(java.lang.String nodeID, java.lang.String message)` Create a new exception
`ParsingException(java.lang.String nodeID, java.lang.String message, java.lang.Throwable cause)` Create a new exception

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsingException

    public ParsingException(java.lang.String nodeID,
                            java.lang.String message,
                            java.lang.Throwable cause)

  Create a new exception

  Parameters:
    `nodeID` - The ID of the node that failed validation
    `message` - The description of the failure
    `cause` - The exception causing this one

### ParsingException

    public ParsingException(org.w3c.dom.Element element,
                            java.lang.String message,
                            java.lang.Throwable cause)

  Create a new exception

  Parameters:
    `element` - The element that failed validation
    `message` - The description of the failure
    `cause` - The exception causing this one

### ParsingException

    public ParsingException(java.lang.String nodeID,
                            java.lang.String message)

  Create a new exception

  Parameters:
    `nodeID` - The ID of the node that failed validation
    `message` - The description of the failure

### ParsingException

    public ParsingException(org.w3c.dom.Element element,
                            java.lang.String message)

  Create a new exception

  Parameters:
    `element` - The element that failed validation
    `message` - The description of the failure

Copyright © 2006 New Dawn Software. All Rights Reserved.